Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins.quality
Class Checkstyle

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.SourceTask
                      org.gradle.api.plugins.quality.Checkstyle

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable, VerificationTask, org.gradle.util.Configurable<Task>

    public class Checkstyle

extends SourceTask
implements VerificationTask

Field Summary

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`Checkstyle()`

Method Summary
`void` | `check()`
`FileCollection` | `getClasspath()`
`File` | `getConfigFile()`
`Map<String,Object>` | `getProperties()`
`File` | `getResultFile()`
`boolean` | `isIgnoreFailures()` Returns whether the build should break when the verifications performed by this task fail.
`void` | `setClasspath(FileCollection classpath)`
`void` | `setConfigFile(File configFile)`
`Checkstyle` | `setIgnoreFailures(boolean ignoreFailures)` Specify whether the build should break when the verifications performed by this task fail.
`void` | `setProperties(Map<String,Object> properties)`
`void` | `setResultFile(File resultFile)`

Methods inherited from class org.gradle.api.tasks.SourceTask
`exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.gradle.api.Task
`captureStandardOutput, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, getActions, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getGroup, getInputs, getLogger, getLogging, getName, getOutputs, getPath, getProject, getState, getTaskDependencies, getTemporaryDir, hasProperty, leftShift, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setEnabled, setGroup, setOnlyIf, setOnlyIf, setProperty`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### Checkstyle

    public Checkstyle()

Method Detail

### check

    public void check()

### getConfigFile

    public File getConfigFile()

### setConfigFile

    public void setConfigFile(File configFile)

### getResultFile

    public File getResultFile()

### setResultFile

    public void setResultFile(File resultFile)

### getClasspath

    public FileCollection getClasspath()

### setClasspath

    public void setClasspath(FileCollection classpath)

### getProperties

    public Map<String,Object> getProperties()

### setProperties

    public void setProperties(Map<String,Object> properties)

### isIgnoreFailures

    public boolean isIgnoreFailures()

  Returns whether the build should break when the verifications performed by this task fail.

  Specified by:
    `isIgnoreFailures` in interface `VerificationTask`
  Returns:
    false, when the build should break on failure, true when the failures should be ignored.

### setIgnoreFailures

    public Checkstyle setIgnoreFailures(boolean ignoreFailures)

  Specify whether the build should break when the verifications performed by this task fail.

  Specified by:
    `setIgnoreFailures` in interface `VerificationTask`
  Parameters:
    `ignoreFailures` - false to break the build on failure, true to ignore the failures. The default is false.
  Returns:
    this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD